DBusWatch Struct Reference
D-Bus secret internal implementation details » DBusWatch implementation details

Implementation of DBusWatch. More...

## Data Fields

int | refcount
| Reference count.
DBusPollable | fd
| File descriptor.
unsigned int | flags
| Conditions to watch.
DBusWatchHandler | handler
| Watch handler.
void * | handler_data
| Watch handler data.
DBusFreeFunction | free_handler_data_function
| Free the watch handler data.
void * | data
| Application data.
DBusFreeFunction | free_data_function
| Free the application data.
unsigned int | enabled: 1
| Whether it's enabled.
unsigned int | oom_last_time: 1
| Whether it was OOM last time.

## Detailed Description

Implementation of DBusWatch.

Definition at line 42 of file dbus-watch.c.

## Field Documentation

## data

void* DBusWatch::data

Application data.

Definition at line 52 of file dbus-watch.c.

Referenced by dbus_watch_get_data(), and dbus_watch_set_data().

## enabled

unsigned int DBusWatch::enabled

Whether it's enabled.

Definition at line 54 of file dbus-watch.c.

Referenced by _dbus_watch_list_toggle_watch(), _dbus_watch_new(), and dbus_watch_get_enabled().

## fd

DBusPollable DBusWatch::fd

File descriptor.

Definition at line 45 of file dbus-watch.c.

Referenced by _dbus_watch_invalidate(), _dbus_watch_list_add_watch(), _dbus_watch_list_remove_watch(), _dbus_watch_list_set_functions(), _dbus_watch_list_toggle_watch(), _dbus_watch_new(), _dbus_watch_unref(), dbus_watch_get_socket(), dbus_watch_get_unix_fd(), dbus_watch_handle(), and dbus_watch_set_data().

## flags

unsigned int DBusWatch::flags

Conditions to watch.

Definition at line 46 of file dbus-watch.c.

Referenced by _dbus_watch_invalidate(), _dbus_watch_new(), _dbus_watch_sanitize_condition(), dbus_watch_get_flags(), and dbus_watch_handle().

## free_data_function

DBusFreeFunction DBusWatch::free_data_function

Free the application data.

Definition at line 53 of file dbus-watch.c.

Referenced by dbus_watch_set_data().

## free_handler_data_function

DBusFreeFunction DBusWatch::free_handler_data_function

Free the watch handler data.

Definition at line 50 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), and _dbus_watch_unref().

## handler

DBusWatchHandler DBusWatch::handler

Watch handler.

Definition at line 48 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), and dbus_watch_handle().

## handler_data

void* DBusWatch::handler_data

Watch handler data.

Definition at line 49 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_set_handler(), _dbus_watch_unref(), and dbus_watch_handle().

## oom_last_time

unsigned int DBusWatch::oom_last_time

Whether it was OOM last time.

Definition at line 55 of file dbus-watch.c.

## refcount

int DBusWatch::refcount

Reference count.

Definition at line 44 of file dbus-watch.c.

Referenced by _dbus_watch_new(), _dbus_watch_ref(), and _dbus_watch_unref().

The documentation for this struct was generated from the following file:

- dbus-watch.c